@echo off
rem ############################################################################
rem # DATE:        07/10/02
rem # VERSION:     1.0
rem # COPYRIGHT:   Licensed Material - Property of IBM \n5648-C63 (c) Copyright
rem #              IBM Corp. 2002 - All Rights Reserved. 
rem #              US Government Users Restricted Rights - Use, duplication or 
rem #              disclosure
rem #              restricted by GSA ADP Schedule Contract with IBM Corp.
rem #
rem # FILENAME:    listDB2Databases.bat
rem # DESCRIPTION: This BAT file catalogs the %1 database with db2 in casde it
rem #              was not done automatically ( as on most systems)
rem #              (DB2 Version)
rem # 
rem # AUTHOR:      Marc Carter, April 2003
rem #
rem # HISTORY:     
rem ############################################################################
rem 
rem Start db2 if not done automatically
echo on
db2 start database manager
echo off

rem first terminate backend
echo on
db2 terminate
echo off

rem list the databases
echo on
db2 list database directory
echo off

rem End of listDB2Databases.bat database activity

