@echo off
rem /* IBM Confidential
rem  *
rem  * OCO Source Materials
rem  *
rem  * 5724-E11
rem  * 5724-E26
rem  * (C) Copyright IBM Corp. 2002, 2004
rem  *
rem  * The source code for this program is not published or otherwise
rem  * divested of its trade secrets, irrespective of what has been deposited
rem  * with the U.S. Copyright office
rem  */
rem
rem  %1 - irrelevant
rem  %2 - The path to this shell script
rem  %3 - The mqsiprofile script
rem  %4 - The Command number to perform (see EouTaskNumbers.java)
rem  %5+ - Command args


if %4 NEQ -22 goto NOTDROPDB2DB

  rem ### drop a DB2 database and delete it's ODBC connection - TASK_DROP_DB2_DB ###
  cd %~2  
  db2cmd /c /w /i dropDB2Database.bat %5
  exit

:NOTDROPDB2DB

if %4 NEQ -23 goto NOTDROPGENERICDB

  rem ### drop a generic DB - TASK_DROP_GENERIC_DB ###
  call %3
  @echo on
  mqsideletedb %5
  exit

:NOTDROPGENERICDB

rem ### broker tasks ###

if %4 NEQ -24 goto NOTMQSICONFGCMD

  rem ### A Generic command, expected to be an mqsi... command - TASK_RUN_WMQI_COMMAND ###

  call %3
  @echo on
  %~5 
  exit

:NOTMQSICONFGCMD

if %4 NEQ -29 goto NOTMQDELETEQUEUE

  rem ### Delete an MQ queue - TASK_DELETE_MQ_QUEUE ###
  echo DELETE %5(%6) PURGE | runmqsc %7
  exit

:NOTMQDELETEQUEUE

if %4 NEQ -30 goto NOTMQDELETEMODELQUEUE

  rem ### Delete an MQ model queue - TASK_DELETE_MQ_MODEL_QUEUE ###
  echo DELETE %5(%6) | runmqsc %7
  exit

:NOTMQDELETEMODELQUEUE

if %4 NEQ -32 goto NOTMQDELETECHANNEL

  rem ### Delete an MQ channel - TASK_DELETE_MQ_CHNL ###
  echo DELETE CHANNEL(%5) | runmqsc %6
  exit

:NOTMQDELETECHANNEL

if %4 NEQ -34 goto NOTSTOPQM
  
  rem ### Stop QueueManager - TASK_STOP_QM ###
  
  endmqm %5
  if %errorlevel% EQU 0 echo WMQI_WIZ_COMMAND_SUCCESS 
  exit

:NOTSTOPQM

if %4 NEQ -35 goto NOTDELETEQM
  
  rem ### Delete QueueManager - TASK_DEL_QM ###
  
  dltmqm %5
  dspmq -m %5    
  exit

:NOTDELETEQM

if %4 NEQ -42 goto NOTSTARTDBINBSTMGR
  
  rem ### Start DbInstMgr- TASK_START_DBINSTMGR ###
  call %3
  @echo on
  mqsistart %5
  exit

:NOTSTARTDBINBSTMGR
  