echo off
rem ############################################################################
rem # DATE:        07/10/02
rem # VERSION:     1.0
rem # COPYRIGHT:   Licensed Material - Property of IBM \n5648-C63 (c) Copyright
rem #              IBM Corp. 2002 - All Rights Reserved. 
rem #              US Government Users Restricted Rights - Use, duplication or 
rem #              disclosure
rem #              restricted by GSA ADP Schedule Contract with IBM Corp.
rem #
rem # FILENAME:    bindtoDB2Database.bat
rem # DESCRIPTION: This BAT file binds to the %1 database.
rem #              (DB2 Version)
rem # 
rem # AUTHOR:      Stephen Rea, Oct 2001.
rem #
rem # HISTORY:     
rem ############################################################################
rem 
rem jump to db2 install dir
rem cd %~2
rem Reset any database connection context there may be

echo on
cd /D %~s2
echo off

rem first terminate backend
echo on
db2 terminate
echo off

rem Establish a connection to '%1' database
echo on
db2 connect to %1
echo off

rem bind packages (stored procedures) into database and give public access to all
rem procedures enable use of ODBC interface
rem db2 bind $DB2PATH\bnd\@db2cli.lst grant public

echo on
db2 bind .\bnd\@db2cli.lst grant public
echo off
        
rem Reset any database connection context there may be

rem End of bindtoDB2Database.bat database activity
echo on
db2 terminate
echo off

