@echo off
rem ############################################################################
rem # DATE:        07/10/02
rem # VERSION:     1.0
rem # COPYRIGHT:   Licensed Material - Property of IBM \n5648-C63 (c) Copyright
rem #              IBM Corp. 2002 - All Rights Reserved. 
rem #              US Government Users Restricted Rights - Use, duplication or 
rem #              disclosure
rem #              restricted by GSA ADP Schedule Contract with IBM Corp.
rem #
rem # FILENAME:    getstrtedwizCreateDB.bat
rem # DESCRIPTION: This BAT file creates the %1 database with associated
rem #              default configuration.
rem #              (DB2 Version)
rem # 
rem # AUTHOR:      Stephen Rea, Oct 2001.
rem #
rem # HISTORY:     
rem ############################################################################
rem 
rem Start db2 if not done automatically
echo on
db2 start database manager
echo off

rem first terminate backend
echo on
db2 terminate
echo off

rem CREATE the MQSI2 Broker database
echo on
db2 create database %1
echo off

rem Modify databases' CONFIGURATION value settings
rem SET MAXAPPLS to 5000 (this forces a requirement on BUFFPAGE to be raised
rem                       to 10000 as it must be at least 2 * MAXAPPLS!)
echo on
db2 update db cfg for %1 using buffpage 10000
db2 update db cfg for %1 using maxappls 5000
db2 update db cfg for %1 using dbheap 900
echo off

rem End of getstrtedwizCreateDB.bat database activity

