echo off
rem ############################################################################
rem # DATE:        07/10/02
rem # VERSION:     1.0
rem # COPYRIGHT:   Licensed Material - Property of IBM \n5648-C63 (c) Copyright
rem #              IBM Corp. 2002 - All Rights Reserved. 
rem #              US Government Users Restricted Rights - Use, duplication or 
rem #              disclosure
rem #              restricted by GSA ADP Schedule Contract with IBM Corp.
rem #
rem # FILENAME:    createDB2Datasource.bat
rem # DESCRIPTION: This BAT file creates a ODBC datasource for database %1.
rem #              (DB2 Version)
rem # 
rem # AUTHOR:      Stephen Rea, Oct 2001.
rem #
rem # HISTORY:     
rem ############################################################################
rem 
rem Reset any database connection context there may be

rem first terminate backend
echo on
db2 terminate
echo off

rem Establish a connection to '%1' database
echo on
db2 connect to %1
echo off

rem create odbc datasource name definition in windows
echo on
db2 catalog system ODBC data source %1
echo off
        
rem Reset any database connection context there may be

rem End of createDB2Datasource.bat database activity
echo on
db2 terminate
echo off

